# Generated by Django 3.0.5 on 2020-05-03 19:24

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('spbstu', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Institute',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
            ],
        ),
        migrations.AddField(
            model_name='student',
            name='record_number',
            field=models.CharField(default=None, max_length=64),
            preserve_default=False,
        ),
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('institute', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='spbstu.Institute')),
            ],
        ),
        migrations.AddField(
            model_name='group',
            name='department',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, to='spbstu.Department'),
            preserve_default=False,
        ),
    ]
